Skip to main content
GET
/
api
/
external
/
incidentreports
/
pdf
Download an incident report as PDF
curl --request GET \
  --url https://gateway-api.guardhousehq.com/api/external/incidentreports/pdf \
  --header 'Authorization: Bearer <token>'
"<string>"

Authorizations

Authorization
string
header
required

JWT issued by POST /api/token/request. Send as Authorization: Bearer <token>.

Query Parameters

incidentReportId
integer<int32>
required
customerId
string

Semicolon-separated list of customer IDs. Defaults to the customers your API key is scoped to.

siteId
string

Semicolon-separated list of site IDs. Defaults to the sites your API key is scoped to.

companyId
string

Company ID. Normally derived from your API key claims; only set this if you have multi-company access.

Response

PDF document

The response is of type file.